import 'package:api/authentication/http/interfaces/http_request_secret_retriever.dart';
import 'package:api/exceptions/request_missing_attribute_exception.dart';
import 'package:api/utils/requests/requests_util.dart';
import 'package:shelf/shelf.dart';

class ShelfHttpRequestApplicationSecretRetriever<TApplicationSecret> implements HttpRequestSecretRetriever<Request, TApplicationSecret> {
  static const String applicationSecretHeaderName = 'x-application-secret';
  
  @override
  Future<TApplicationSecret> retrieve(Request request) {
    return Future.value(RequestsUtil.getFromRequest<TApplicationSecret>(
      request.headers[applicationSecretHeaderName],
      applicationSecretHeaderName,
      AttributeLocation.header,
    ));
  }
}
