import 'package:api/authentication/http/interfaces/http_request_secret_retriever.dart';
import 'package:api/exceptions/request_missing_attribute_exception.dart';
import 'package:api/utils/requests/requests_util.dart';
import 'package:shelf/shelf.dart';

class ShelfHttpRequestUserSecretRetriever<TApplicationSecret> implements HttpRequestSecretRetriever<Request, TApplicationSecret> {
  static const String userSecretHeaderName = 'authorization';
  
  @override
  Future<TApplicationSecret> retrieve(Request request) {
    return Future.value(RequestsUtil.getFromRequest<TApplicationSecret>(
      request.headers[userSecretHeaderName],
      userSecretHeaderName,
      AttributeLocation.header,
    ));
  }
}
