import 'package:api/exceptions/request_missing_attribute_exception.dart';
import 'package:api/models/requests/authentication/user_login_request.dart';
import 'package:api/utils/http/parameters/user.dart';
import 'package:api/utils/requests/requests_util.dart';

class HttpGeneralizedUserLoginRequestBuilder {
  final Map<String, dynamic> requestBody;

  HttpGeneralizedUserLoginRequestBuilder(
    this.requestBody,
  );
  
  UserLoginRequest build(){
    return UserLoginRequest(
      RequestsUtil.getFromRequest(requestBody[usernameFieldName], usernameFieldName, AttributeLocation.body),
      RequestsUtil.getFromRequest(requestBody[passwordFieldName], passwordFieldName, AttributeLocation.body),
    );
  }
}
