import 'package:api/exceptions/request_missing_attribute_exception.dart';
import 'package:api/models/requests/authentication/user_register_request.dart';
import 'package:api/utils/http/parameters/user.dart';
import 'package:api/utils/requests/requests_util.dart';

class HttpGeneralizedUserRegisterRequestBuilder {
  final Map<String, dynamic> requestBody;

  HttpGeneralizedUserRegisterRequestBuilder(
    this.requestBody
  );

  UserRegisterRequest build() {
    return UserRegisterRequest(
      RequestsUtil.getFromRequest(requestBody[usernameFieldName], usernameFieldName, AttributeLocation.body),
      RequestsUtil.getFromRequest(requestBody[passwordFieldName], passwordFieldName, AttributeLocation.body),
      RequestsUtil.getNullableFromRequest(requestBody[nameFieldName], nameFieldName),
    );
  }
}
