import 'package:api/exceptions/request_missing_attribute_exception.dart';
import 'package:api/models/requests/point/point_create_request.dart';
import 'package:api/utils/http/parameters/point.dart';
import 'package:api/utils/requests/requests_util.dart';

class HttpGeneralizedPointCreateRequestBuilder {
  final Map<String, dynamic> requestBody;

  HttpGeneralizedPointCreateRequestBuilder(this.requestBody);

  PointCreateRequest build() {
    return PointCreateRequest(
      RequestsUtil.getFromRequest(requestBody[latitudeFieldName], latitudeFieldName, AttributeLocation.body),
      RequestsUtil.getFromRequest(requestBody[longitudeFieldName], longitudeFieldName, AttributeLocation.body),
      RequestsUtil.getDateTimeFromRequest(requestBody[recordedAtFieldName], recordedAtFieldName, AttributeLocation.body),
    );
  }
}
