import 'package:api/models/requests/point/point_get_request.dart';
import 'package:api/utils/http/parameters/point.dart';
import 'package:api/utils/requests/requests_util.dart';

class HttpGeneralizedPointGetRequestBuilder<TPointId> {
  final Map<String, dynamic> requestParameters;

  HttpGeneralizedPointGetRequestBuilder(this.requestParameters);

  PointGetRequest<TPointId> build() {
    return PointGetRequest<TPointId>(
      RequestsUtil.getNullableFromRequest(requestParameters[idFieldName], idFieldName),
      RequestsUtil.getNullableFromRequest(requestParameters[latitudeFieldName], latitudeFieldName),
      RequestsUtil.getNullableFromRequest(requestParameters[longitudeFieldName], longitudeFieldName),
    );
  }
}
