import 'package:api/models/requests/user/user_update_request.dart';
import 'package:api/utils/http/parameters/user.dart';
import 'package:api/utils/requests/requests_util.dart';

class HttpGeneralizedUserUpdateRequestBuilder<TUserId> {
  final Map<String, dynamic> requestBody;
  final TUserId userId;

  HttpGeneralizedUserUpdateRequestBuilder(this.requestBody, this.userId);

  UserUpdateRequest<TUserId> build() {
    return UserUpdateRequest(
      userId,
      RequestsUtil.getNullableFromRequest(requestBody[usernameFieldName], usernameFieldName),
      RequestsUtil.getNullableFromRequest(requestBody[passwordFieldName], passwordFieldName),
      RequestsUtil.getNullableFromRequest(requestBody[nameFieldName], nameFieldName),
    );
  }
}