import 'package:api/converters/requests/user/http_generalized/http_generalized_user_update_request_builder.dart';
import 'package:api/converters/requests/user/interfaces/user_update_request_converter.dart';
import 'package:api/models/requests/user/user_update_request.dart';
import 'package:api/utils/shelf/shelf_utils.dart';
import 'package:shelf/shelf.dart';

class ShelfUserUpdateRequestConverter<TUserId> implements UserUpdateRequestConverter<Request, TUserId> {
  @override
  Future<UserUpdateRequest<TUserId>> call(Request request, TUserId userId) async {
    var requestBody = await ShelfUtils.getRequestBody(request);
    
    return HttpGeneralizedUserUpdateRequestBuilder(requestBody, userId).build();
  }
}
