import 'dart:convert';
import 'dart:io';

import 'package:api/models/responses/authentication/interfaces/authentication_response.dart';
import 'package:api/utils/http/parameters/authentication.dart';

class HttpGeneralizedAuthenticationResponseBuilder<TSecret> {
  final AuthenticationResponse<TSecret> response;

  HttpGeneralizedAuthenticationResponseBuilder(
    this.response,
  );

  String? buildBody() {
    return jsonEncode({
      secretFieldName: response.authentication.secret,
    });
  }

  int buildStatusCode() {
    return HttpStatus.ok;
  }
}
