import 'package:api/converters/responses/authentication/http_generalized/http_generalized_authentication_response_builder.dart';
import 'package:api/converters/responses/authentication/interfaces/authentication_response_converter.dart';
import 'package:api/models/responses/authentication/interfaces/authentication_response.dart';
import 'package:shelf/shelf.dart';

class ShelfAuthenticationResponseConverter<TUserSecret> implements AuthenticationResponseConverter<Response, TUserSecret> {
  static const String secretFieldName = 'secret';

  @override
  Response call(AuthenticationResponse<TUserSecret> response) {
    var builder = HttpGeneralizedAuthenticationResponseBuilder(response);
    return Response(builder.buildStatusCode(), body: builder.buildBody());
  }
}
