import 'dart:convert';

import 'package:api/models/responses/exception_response.dart';
import 'package:api/utils/http/parameters/exception.dart';

// Exception responses are handled the same for all http server packages
extension ExceptionResponseConverter on ExceptionResponse {
  String toResponseBody() {
    return jsonEncode({
      exceptionTypeFieldName: exceptionType.toString(),
      exceptionMessageFieldName: exceptionMessage,
    });
  }
}
