import 'dart:convert';
import 'dart:io';

import 'package:api/models/domain/point.dart';
import 'package:api/utils/http/parameters/point.dart';

class HttpGeneralizedPointGetResponseBuilder<TPointId> {
  final Iterable<Point<TPointId>> response;

  HttpGeneralizedPointGetResponseBuilder(this.response);

  String? buildBody() {
    return jsonEncode(response.map((p) => <String, dynamic>{
      idFieldName: p.id,
      latitudeFieldName: p.latitude,
      longitudeFieldName: p.longitude,
      recordedAtFieldName: p.recordedAt.toIso8601String(),
    }).toList());
  }

  int buildStatusCode() {
    return HttpStatus.ok;
  }
}
