import 'dart:convert';
import 'dart:io';

import 'package:api/models/domain/point.dart';
import 'package:api/utils/http/parameters/point.dart';

class HttpGeneralizedPointResponseBuilder<TPointId> {
  final Point<TPointId> response;

  HttpGeneralizedPointResponseBuilder(this.response);

  String? buildBody() {
    return jsonEncode({
      idFieldName: response.id,
      latitudeFieldName: response.latitude,
      longitudeFieldName: response.longitude,
      recordedAtFieldName: response.recordedAt.toIso8601String(),
    });
  }

  int buildStatusCode() {
    return HttpStatus.ok;
  }
}
