import 'package:api/converters/responses/user/http_generalized/http_generalized_user_update_response_builder.dart';
import 'package:api/converters/responses/user/interfaces/user_update_response_converter.dart';
import 'package:api/models/responses/user/user_update_response.dart';
import 'package:shelf/shelf.dart';

class ShelfUserUpdateResponseConverter<TUserSecret> implements UserUpdateResponseConverter<Response, TUserSecret> {
  static const String secretFieldName = "secret";

  @override
  Response call(UserUpdateResponse<TUserSecret> response) {
    var builder = HttpGeneralizedUserUpdateResponseBuilder(response);
    return Response(builder.buildStatusCode(), body: builder.buildBody());
  }
}
