// ONLY USE THIS FOR THE NotAuthenticatedException, DO NOT USE THIS TO DETERMINE THE AUTHENTICATION TYPE.
enum AuthenticationExceptionType {
  applicationSecret,
  userSecret,
}

extension AuthenticationExceptionTypeExceptionText on AuthenticationExceptionType {
  String get exceptionText {
    switch (this) {
      case AuthenticationExceptionType.applicationSecret:
        return 'application secret';

      case AuthenticationExceptionType.userSecret:
        return 'user secret';
    }
  }
}

class NotAuthenticatedException implements Exception {
  final AuthenticationExceptionType reason;

  NotAuthenticatedException(this.reason);

  @override
  String toString() {
    return 'Authentication not successful due to ${reason.exceptionText}';
  }
}
