enum AttributeLocation {
  header,
  body,
  parameter,
}

extension AttributeLocationExceptionText on AttributeLocation {
  String get exceptionText {
    switch (this) {
      case AttributeLocation.header:
        return 'header';

      case AttributeLocation.body:
        return 'body';

      case AttributeLocation.parameter:
        return 'parameter';
    }
  }
}

class RequestMissingAttributeException implements Exception {
  final String missingAttribute;
  final AttributeLocation attributeLocation;

  RequestMissingAttributeException(this.missingAttribute, this.attributeLocation);

  @override
  String toString() {
    return 'Missing attribute $missingAttribute in ${attributeLocation.exceptionText}';
  }
}
