import 'dart:convert';

import 'package:api/utils/http/http_utils.dart';
import 'package:shelf/shelf.dart';

abstract class ShelfUtils {
  static Future<Map<String, dynamic>> getRequestBody(Request request) async {
    var body = await request.readAsString();
    return jsonDecode(body);
  }

  static Future<Response> executeErrorHandled(
    Future<Response> Function(Request) requestHandler,
    Request request
  ) {
    return HttpUtils.executeErrorHandled(requestHandler, request, _exceptionToResponse);
  }

  static Response _exceptionToResponse(int status, String? body) {
    return Response(status, body: body);
  }
}
